Subject: RE: [Sip] Thoughts on the reason header field scope

From: "Tom-PT Taylor"<[email-masked]>
Date: Wed, 3 Apr 2002 09:05:01 -0500

OK, I'll 'fess up.  I'm thinking of PSTN interworking situations, where, for
example, the forwarding is happening in the PSTN.

-----Original Message-----
From: David R. Oran [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 8:17 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]; 'Jonathan Rosenberg'
Cc: 'sip'
Subject: RE: [Sip] Thoughts on the reason header field scope

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Tom-PT Taylor
> Sent: Wednesday, April 03, 2002 8:17 AM
> To: 'Jonathan Rosenberg'
> Cc: sip
> Subject: RE: [Sip] Thoughts on the reason header field scope
> 
> 
> You can get early media as a normal part of call setup (e.g. 
> ringing provided at the terminating end), in preparation for 
> moving you to a new destination ("Your call is being 
> forwarded to ..."), or as part of a call failure sequence 
> (e.g. "That number has changed.  Youc can now reach your 
> party at ...").  It might be useful for the caller's 
> application to be able to display the difference.
>
Uh, if the failure/redirection is known in the signaling, then you
should be sending back a 3xx or whatever. The *only* purpose I know of
for early media is to deal with cases where you are talking to something
that CAN'T tell you via the signaling and instead sends you media.

Color me super confused.

Dave.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip